Subject: bug#53053: closed (Re: bug#53053: 28.0.90; Tramp completion bug of path /sudo::~/)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 17 Feb 2022 15:06:02 +0000

Your bug report

#53053: 28.0.90; Tramp completion bug of path /sudo::~/

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53053: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53053
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#53053: 28.0.90; Tramp completion bug of path /sudo::~/
From: Michael Albinus <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: Daniel Mendler <[email-masked]>, [email-masked]
Date: Thu, 17 Feb 2022 16:04:45 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 28.2

Stefan Monnier <[email-masked]> writes:

Hi Stefan,

>> The ChangeLog does not give a reasoning. So I've removed this, and
>> testing with Emacs 28.0.50 shows proper behavior now with the recipe.
>
> Thanks.  Crossing fingers!
>
>> I've pushed it to master. The patch from Stefan could be reverted I
>> believe, unless it is also good for something else.
>
> I think it's good in general: that function does a heuristic job, and
> this heuristic is cheap and can still be useful in other cases.

Well, nothing left to do then, I'm closing the bug.

>         Stefan

Best regards, Michael.

Subject: 28.0.90; Tramp completion bug of path /sudo::~/
From: Daniel Mendler <[email-masked]>
To: [email-masked]
Date: Thu, 6 Jan 2022 13:52:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

1. emacs -Q
2. C-x f /sudo::~/ (alternatively use an ssh path of a similar form)
3. Open the completion buffer by pressing ?
4. Click/select a directory in the completions buffer

The resulting path looks like this:

/sudo::~dir/

The underlying issue is that somewhere a wrong completion boundary is
reported by the Emacs completion table for non-normalized file paths
which contain ~. This issue also affects other completion UIs. The issue
is present on both 27 and 28.

(Original report: https://github.com/minad/vertico/issues/174)

In GNU Emacs 28.0.90 (build 3, x86_64-pc-linux-gnu, GTK+ Version 3.24.5,
cairo version 1.16.0)
 of 2022-01-01 built on projects
Repository revision: efb1c7ec379430f560c5b801969ae43023c52734
Repository branch: emacs-28
Windowing system distributor 'The X.Org Foundation', version 11.0.12004000
System Description: Debian GNU/Linux 10 (buster)